    program try
    implicit none
    integer(4)              :: i,j ,k,t25,ios
    integer(4) ,parameter :: num_32=2
    integer(4),parameter    :: num_lag=4096-1,nx=4096
    real(8),dimension(0:num_lag)          :: AN
    Real(8)    :: ww(16384*4),XX(16384*4)

    call random_number(An)
    call gauleg(2*nx, xx, ww)

    end program try



